Name:           lv2
Version:        1.18.2
Release:        1
Summary:        Audio Plugin Standard
License:        ISC
URL:            http://lv2plug.in
Source:         http://lv2plug.in/spec/lv2-%{version}.tar.bz2

BuildRequires:  libsndfile-devel cairo-devel
BuildRequires:  gcc gcc-c++ python3-devel

%description
LV2 is a standard for plugins

%package        devel
Summary:        API for the LV2 Audio Plugin Standard
Requires:       %{name} = %{version}-%{release}

%description    devel
lv2-devel contains the lv2.h header file and headers for all of the
LV2 specification extensions and bundles.

%prep
%autosetup -n %{name}-%{version} -p1
# use python3
sed -i '1s|^#!.*|#!%{__python3}|' lv2specgen/lv2specgen.py

%build
%set_build_flags
%{__python3} waf configure -vv --prefix=%{_prefix} --libdir=%{_libdir} \
  --lv2dir=%{_libdir}/lv2 --no-check-links
%{__python3} waf -vv

%install
DESTDIR=%{buildroot} %{__python3} waf -vv install

%files
%{_libdir}/%{name}/

%files devel
%{_bindir}/lv2specgen.py
%{_bindir}/lv2_validate
%{_datadir}/lv2specgen
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/%{name}/*/*.[hc]
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Mar 22 2022 yangchenguang <yangchenguang@uniontech.com> - 1.18.2-1 
- Init package 
